package com.liquidnet.service.adam.service;

import com.liquidnet.service.adam.entity.AdamSysCountry;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 国家表 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2020-09-24
 */
public interface IAdamSysCountryService {

    List<AdamSysCountry> selectList(AdamSysCountry country);

    // 根据币种查询
    AdamSysCountry selectByCurrency(String currency);

    BigDecimal accuracy(BigDecimal amount, String currency);

}
